LUA script gives bogus error messages - General Discussion and Assistance - CHDK Forum
supplierdeeply

LUA script gives bogus error messages

  • 14 Replies
  • 5323 Views
LUA script gives bogus error messages
« on: 24 / October / 2008, 03:28:45 »
Advertisements

*

Offline reyalp

  • ******
  • 12363
Re: LUA script gives bogus error messages
« Reply #1 on: 24 / October / 2008, 04:57:35 »
Interesting. It works for me on a540.

Since there is no longer an 8k limit on script files, you could try replacing the "require" statements with the contents of those files. (note that this won't necessarily be valid with all uses of "require", but it should work in this case)

I wonder if it is somehow related to this 0000025: Error while loading LUA script. - CHDK Bugtracker
Don't forget what the H stands for.

Re: LUA script gives bogus error messages
« Reply #2 on: 24 / October / 2008, 06:58:45 »
Thanks for the tip. I tried replacing the "require" with the content of the library script and it works like a charm. However I regard this as a work-around for this particular case, but it doesn't resolve the issue. If there's anything I can do to help out finding and solving the real problem, just let me know. I'm rather new to CHDK, but it's a great project that I'd like to help as much as I can.

Thanks,

TheJez

*

Offline reyalp

  • ******
  • 12363
Re: LUA script gives bogus error messages
« Reply #3 on: 24 / October / 2008, 15:23:48 »
Thanks for the tip. I tried replacing the "require" with the content of the library script and it works like a charm. However I regard this as a work-around for this particular case, but it doesn't resolve the issue.
Absolutely. It just helps narrow down the problem, which is good since I can't reproduce it on my end.
Quote
If there's anything I can do to help out finding and solving the real problem, just let me know. I'm rather new to CHDK, but it's a great project that I'd like to help as much as I can.
With the above information, I have some ideas and I'll come up with a build you can test to narrow it down further.

I've added this to mantis here: 0000074: lua scripts loaded with 'require' corrupt on some cameras - CHDK Bugtracker

It would also be interesting to know if any other cameras have this problem.
Don't forget what the H stands for.


Re: LUA script gives bogus error messages
« Reply #4 on: 24 / October / 2008, 15:39:44 »
Thanks. I'll wait for the build and test it when it's ready!

TheJez

*

Offline fe50

  • ******
  • 3110
  • IXUS50 & 860, SX10 Star WARs-Star RAWs
    • fe50
Re: LUA script gives bogus error messages
« Reply #5 on: 24 / October / 2008, 16:19:11 »
...It would also be interesting to know if any other cameras have this problem.

1) I get the same errors with SD400 1.01b (Digic II, VxWorks), either with libs placed in \chdk\scripts or in \chdk\lualib.

2) But the script works normal with SD870 1.00C (Digic III, DryOS).

(All tests made with a fresh formated 16MB card with default settings, #541, downloads from autobuild server)

*

Offline reyalp

  • ******
  • 12363
Re: LUA script gives bogus error messages
« Reply #6 on: 24 / October / 2008, 16:54:14 »
You can try these (I replaced open/read with Fut*)
Don't forget what the H stands for.

*

Offline fe50

  • ******
  • 3110
  • IXUS50 & 860, SX10 Star WARs-Star RAWs
    • fe50
Re: LUA script gives bogus error messages
« Reply #7 on: 24 / October / 2008, 17:47:18 »
@reyalp: the SD400 version with fut* works flawless.

*Edit: attached the logs...
« Last Edit: 24 / October / 2008, 21:18:49 by fe50 »


Re: LUA script gives bogus error messages
« Reply #8 on: 24 / October / 2008, 21:08:04 »
Hello there, long time first time.

 I have the same problem with the exact same script with my S2 1.00f.  I followed the suggested workaround and also rem'd out the "require dummy" line and the script worked.  This was tested on chdk 533.
 
 I also tested the same script on an A560 with chdk 452 and it worked without any modification.

 I hope this info help someone.

*

Offline reyalp

  • ******
  • 12363
Re: LUA script gives bogus error messages
« Reply #9 on: 24 / October / 2008, 21:39:22 »
Robsingle
here's a build for S2 you can try.

fe50:
This isn't directly related to the lua OS/IO lib stuff (it appears to have to do with how lua itself reads files), so probably no need for the llibtest.logs

if someone has an a610, I'd be interested to know if that has the problem.
Don't forget what the H stands for.

 

Related Topics